Bug 202885 - vgsplit needs to check if all pvs being split out have metadata space
vgsplit needs to check if all pvs being split out have metadata space
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 17:48 EDT by Corey Marthaler
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0753
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 10:58:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.95 KB, patch)
2007-03-20 06:56 EDT, Milan Broz
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2006-08-16 17:48:36 EDT
Description of problem:
Otherwise the new volume group could become inconsistent.

[root@taft-04 ~]# pvcreate --metadatacopies 0 /dev/sdb2 /dev/sdc2 /dev/sdd2
  Physical volume "/dev/sdb2" successfully created
  Physical volume "/dev/sdc2" successfully created
  Physical volume "/dev/sdd2" successfully created
[root@taft-04 ~]# pvcreate /dev/sdb1 /dev/sdc1 /dev/sdd1
  Physical volume "/dev/sdb1" successfully created
  Physical volume "/dev/sdc1" successfully created
  Physical volume "/dev/sdd1" successfully created
[root@taft-04 ~]# pvscan
  PV /dev/sdb1         lvm2 [136.23 GB]
  PV /dev/sdb2         lvm2 [136.23 GB]
  PV /dev/sdc1         lvm2 [136.23 GB]
  PV /dev/sdc2         lvm2 [136.23 GB]
  PV /dev/sdd1         lvm2 [930.89 GB]
  PV /dev/sdd2         lvm2 [930.89 GB]
  Total: 6 [2.35 TB] / in use: 0 [0   ] / in no VG: 6 [2.35 TB]
[root@taft-04 ~]# vgcreate foo /dev/sdb1 /dev/sdb2 /dev/sdc1 /dev/sdc2 /dev/sdd1
/dev/sdd2
  Volume group "foo" successfully created
[root@taft-04 ~]# vgsplit foo bar /dev/sdb2 /dev/sdc2 /dev/sdd2
  Volume group "bar" became inconsistent: please fix manually
[root@taft-04 ~]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "foo" using metadata type lvm2
[root@taft-04 ~]# pvscan
  PV /dev/sdb1   VG foo   lvm2 [136.23 GB / 136.23 GB free]
  PV /dev/sdc1   VG foo   lvm2 [136.23 GB / 136.23 GB free]
  PV /dev/sdd1   VG foo   lvm2 [930.89 GB / 930.89 GB free]
  PV /dev/sdb2            lvm2 [136.23 GB]
  PV /dev/sdc2            lvm2 [136.23 GB]
  PV /dev/sdd2            lvm2 [930.89 GB]
  Total: 6 [2.35 TB] / in use: 3 [1.18 TB] / in no VG: 3 [1.18 TB]


Version-Release number of selected component (if applicable):
[root@taft-04 ~]# rpm -q lvm2
lvm2-2.02.06-6.0.RHEL4
Comment 1 Jay Turner 2006-08-17 00:06:09 EDT
QE ack for 4.5.
Comment 3 Milan Broz 2007-01-30 05:40:12 EST
vgsplit need implement metadata areas split correctly and test if there is
metadaspace in new volume group. If not, it must fail splitting.
Currntly this is not included upstream/RHEL4.5 lvm2 code, so this bz need to
move to RHEL4.6...
Comment 5 Milan Broz 2007-03-20 06:56:18 EDT
Created attachment 150473 [details]
Proposed patch

Attached patch for splitting metadata areas properly.
Comment 6 Milan Broz 2007-03-23 08:53:09 EDT
Fixed upstream in lvm2 2.02.25, waiting for pkg rebase -> POST.
Comment 7 RHEL Product and Program Management 2007-05-09 05:50:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Corey Marthaler 2007-07-27 12:18:00 EDT
fix verified in lvm2-2.02.27-1.el4
Comment 12 errata-xmlrpc 2007-11-15 10:58:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0753.html

Note You need to log in before you can comment on or make changes to this bug.